import React from 'react';
import type { BaseHeaderProps, HeaderElement } from '../types';
export declare type HeaderStyleContextType = {
    HeaderComponent: (props: BaseHeaderProps<{
        title?: HeaderElement;
        left?: HeaderElement;
        right?: HeaderElement;
        onPressLeft?: () => void;
        onPressRight?: () => void;
    }, {
        clearTitleMargin?: boolean;
    }>) => React.ReactElement | null;
    defaultTitleAlign: 'left' | 'center';
    statusBarTranslucent: boolean;
    topInset: number;
    defaultHeight: number;
};
export declare const HeaderStyleContext: React.Context<HeaderStyleContextType>;
declare type Props = Pick<HeaderStyleContextType, 'statusBarTranslucent' | 'defaultTitleAlign' | 'HeaderComponent'>;
export declare const HeaderStyleProvider: ({ children, HeaderComponent, defaultTitleAlign, statusBarTranslucent, }: React.PropsWithChildren<Props>) => JSX.Element;
export {};
